NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: dasher (Re: Netbook support - status update?)

On Thu, Jan 7, 2010 at 6:33 PM, Patrick Welche <> 
> On Thu, Jan 07, 2010 at 04:05:02PM +0100, Geert Hendrickx wrote:
>> The dasher README suggests that the Gnome depencies are optional (although
>> recommended, but only expat and gtk2+ are strictly required).  Would it be
>> possible to make the gnome dependencies optional and build a package with
>> minimal dependencies?  I tried ./configure --without-gnome but it still
>> insisted on the presence of gnome and bonobo libraries.
>  --disable-a11y
> is the option you want as the accessibility toolkit depends on orbit and
> bonobo. This is changing with a move to dbus... (Avoiding intltoolize
> and its perl dependencies is more interesting...)

AFAIR, intltool is only a build dependency, so it's a non-issue.

And, please, please, if you want to make gnome dependencies optional,
create a new package, say dasher-gtk, which builds dasher without
gnome support.  Don't add a build option to dasher to disable these

Julio Merino

Home | Main Index | Thread Index | Old Index